Subject: Re: [dhcwg] Re: Draft agenda

From: Ralph Droms <[email-masked]>
Date: Mon, 25 Jul 2005 07:24:12 -0400

Tim - my memory is also that the discussion tapered off without a
conclusion.

I do remember getting a summary e-mail from Bob and Brian (ipv6 WG
chairs) about "no consensus for changing M/O bits at this point" (but I
can't locate that e-mail); however, my memory of the discussion is that
there were two interleaved discussions: (1) improve documentation of
what was in the RFC 246[012] specs and (2) consider changes
(improvements) to spec for M/O bits and DHCPv6.  So, I'm unclear about
any conclusions...

I've included the ipv6 WG chairs and the authors of draft-ietf-ipv6-ra-
mo-flags-01.txt in the CC: list; can any of you clarify the resolution
of the discussion, and should the discussion appear on the ipv6 or dhc
(or both) WG agendas?

- Ralph

On Mon, 2005-07-25 at 11:45 +0100, Tim Chown wrote:
> On Sat, Jul 23, 2005 at 09:38:21PM -0400, Bernie Volz (volz) wrote:
> > Also, what's happened with the M/O bit discussion? Has this been
> > resolved in the IPv6 WG or are they expecting us to do anything? Should
> > that be an agenda item?
> 
> I think it should, at least briefly.
> 
> My recollection is that the discussion fizzled out without a conclusion.
> 
> There is a specifc (newish) draft on the topic:
> http://www.ietf.org/internet-drafts/draft-ietf-ipv6-ra-mo-flags-01.txt
> 
> I'm not sure how strong consensus is on the contents of this draft.
> 
> One of the issues was that there are two bits, with four combinations,
> one of which is 'meaningless'.   But then an administrator should never
> use that combination.   People still seem to see some 'confusion' in
> the semantics.  While questions keep hitting the ipv6 list, one can argue
> that the M/O text is certainly not as clear/streamlined as it could be.
> 
> Some argued whether a DHC service indication was needed at all.  Just let
> the client back off.  One question was over unecessary use of 
> bandwidth/battery on low capacity wireless devices - a hint that no DHC 
> was available would then be useful rather than the client retrying.
> 
> There were some interesting ideas, e.g. that perhaps all stateless DHC
> servers could respond to the same message types as stateful - I think the 
> JOIN people suggested that.   Presumably you'd then only need the M bit, 
> given M and O semantics were being ushered towards the message type.
> 
> I don't like the idea of changing things now without larger deployment
> experience, and I recall most people agreed that was lacking.
> 
> Anyway, Ralph/Stig should maybe check that the topic is on the ipv6 WG
> agenda and take it from there, since ipv6 is held on Tuesday and dhc is
> on Thursday.
> 
> Tim
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Syam Madanapalli <[email-masked]>
Date: Mon, 25 Jul 2005 17:29:07 +0530

Hi,

We tried to summarize the discussion on M/O flags, but we (authors of
the M/O flags) were busy with other things, so we could not do that. But
from the discussion we found three different opinions

1. Leave M/O Flags unchanged
2. Flags independently represent DHCPv6 and DHCP lite (M-flag for HCB,
    O-Flag for ICB)
3. M-Flag (to hint) for triggering DHC (Remove O-flag)

Even in the case of 1 we would like to put some text to clarify the flags 
usage.
We are planning to trim draft-ietf-ipv6-ra- mo-flags-01.txt without policy
variables.

Also it may be worth to see what could be the impacts of case 2 and case 3
from DHCP perspective as well as from IPv6 perspective. If at we decide to
change better to go for 3, otherwise just clarify them about their (M/O 
flags)
usage and leave them as it is.

Regards,
Syam

----- Original Message ----- 
From: "Ralph Droms" <[email-masked]>
To: "Tim Chown" <[email-masked]>
Cc: "Robert Hinden" <[email-masked]>; "Brian Haberman" 
<[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Monday, July 25, 2005 4:54 PM
Subject: Re: [dhcwg] Re: Draft agenda